Subject: Re: [PATCH 4/6] verify_one_sparse(): drop unused repository parameter

From: Derrick Stolee <[email-masked]>
Date: Fri, 19 Aug 2022 15:04:19 -0400

On 8/19/2022 4:51 AM, Jeff King wrote:
> This function has never used its repository parameter since it was
> introduced in 9ad2d5ea71 (sparse-index: loose integration with
> cache_tree_verify(), 2021-03-30). As that commit notes, it may
> eventually be extended further, and that might require looking at a
> repository struct. But it would be easy to add it back later if
> necessary.

The good news is that 'struct index_state' now has a pointer to
its repository, so we wouldn't need to add it back in.

Thanks,
-Stolee